default:
  gherkin:
    filters:
      tags: ~@javascript
  suites:
    default:
      contexts:
        - FeatureContext
        - Drupal\DrupalExtension\Context\DrupalContext
        - Drupal\DrupalExtension\Context\MinkContext
        - Drupal\DrupalExtension\Context\MessageContext
        - Drupal\DrupalExtension\Context\DrushContext
  extensions:
    Behat\MinkExtension:
      sessions:
        default:
          goutte: ~
        javascript:
          selenium2:
            browser: phantomjs
      base_url: http://guts.local
      files_path: ./features/files
    Drupal\DrupalExtension:
      blackbox: ~
      drush:
        root: ./web
      api_driver: drupal
      drupal:
        drupal_root: ./web
      selectors:
        message_selector: '.alert'
        error_message_selector: '.messages.messages--error'
        success_message_selector: '.messages.messages--status'
      region_map:
        header: ".chalkboard > header"
        navbar: ".chalkboard > nav.navbar"
        footer: ".l-footer"
        content: ".l-content"
        admin_content: ".page-content"
        toolbar: "#toolbar-administration"
